Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		cpmtools
Version:	2.23
Release:	alt1_6
Summary:	Programs for accessing CP/M disks

License:	GPLv3+
URL:		http://www.moria.de/~michael/cpmtools/
Source0:	http://www.moria.de/~michael/cpmtools/files/cpmtools-%{version}.tar.gz
Patch0:		cpmtools-2.23-nostrip.patch
Patch1: cpmtools-configure-c99.patch

BuildRequires:	gcc
BuildRequires:	libncurses++-devel libncurses++w-devel libncurses-devel libncursesw-devel libtic-devel libtinfo-devel, libdsk-devel
Source44: import.info
#Requires:

%description
This package allows to access CP/M file systems similar to the well-known
mtools package, which accesses MSDOS file systems. I use it for file
exchange with a Z80-PC simulator, but it works on floppy devices as well.


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .nostrip
%patch1 -p1
sed -i -e "s!@datarootdir@/diskdefs!\$\(DATADIR\)/diskdefs!" Makefile.in
#modify path contained in man files
sed -i -e "s!@DATADIR@!%{_datadir}/%{name}!" *.1.in


%build
%configure --datarootdir=%{_datadir}/%{name} --with-libdsk
%make_build


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man{1,5}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
make install BINDIR=$RPM_BUILD_ROOT%{_bindir} MANDIR=$RPM_BUILD_ROOT%{_mandir} DATADIR=$RPM_BUILD_ROOT%{_datadir}/%{name} INSTALL="install -p"



%files
%doc COPYING NEWS README
%{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*



%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 2.23-alt1_6
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 2.23-alt1_4
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 2.23-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 2.22-alt1_4
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 2.22-alt1_3
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 2.22-alt1_2
- update to new release by fcimport

* Mon May 17 2021 Igor Vlasenko <viy@altlinux.org> 2.22-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 2.20-alt2_13
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 2.20-alt2_12
- update to new release by fcimport

* Thu Nov 05 2020 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_12
- update

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_10
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_8
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_7
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_6
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_5
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_3
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 2.20-alt1_2
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 2.19-alt1_4
- update to new release by fcimport

* Wed Sep 10 2014 Igor Vlasenko <viy@altlinux.ru> 2.19-alt1_3
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 2.19-alt1_2
- update to new release by fcimport

* Wed May 14 2014 Igor Vlasenko <viy@altlinux.ru> 2.19-alt1_1
- update to new release by fcimport

* Fri Feb 21 2014 Igor Vlasenko <viy@altlinux.ru> 2.17-alt1_1
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 2.13-alt1_6
- update to new release by fcimport

* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 2.13-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 2.13-alt1_4
- update to new release by fcimport

* Wed Jun 20 2012 Igor Vlasenko <viy@altlinux.ru> 2.13-alt1_3
- fc import

